package com.lightinit.hsdataplatform.mapper;

import com.lightinit.hsdataplatform.entity.RequirementMicroapp;
import com.lightinit.hsdataplatform.entity.RequirementMicroappExample;
import java.util.List;

import com.lightinit.hsdataplatform.entity.ResourceCatelog;
import org.apache.ibatis.annotations.Param;

public interface RequirementMicroappMapper {
    long countByExample(RequirementMicroappExample example);

    int deleteByExample(RequirementMicroappExample example);

    int deleteByPrimaryKey(Long id);

    int insert(RequirementMicroapp record);

    int insertSelective(RequirementMicroapp record);

    List<RequirementMicroapp> selectByExample(RequirementMicroappExample example);

    RequirementMicroapp selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") RequirementMicroapp record, @Param("example") RequirementMicroappExample example);

    int updateByExample(@Param("record") RequirementMicroapp record, @Param("example") RequirementMicroappExample example);

    int updateByPrimaryKeySelective(RequirementMicroapp record);

    int updateByPrimaryKey(RequirementMicroapp record);

    List<ResourceCatelog> selectCatelog();
}